body {
  margin: 0
}

.main-container {
  max-width: 850px;
  background-color: #f5eae0;
  margin: 0 auto;
  padding: 10px 0px;
}

.header {
  text-align: center;
  font-family: "Cormorant", serif;
}

.heading {
  text-transform: uppercase;
  font-size: 48px;
  font-weight: 300;
}

.desc {
  font-size: 18px;
  max-width: 502px;
  margin: 0 auto;
  margin-top: 10px;
}

.calendar {
  overflow-x: auto;
  display: flex;
  align-items: center;
  font-family: 'Roboto', serif;
  font-weight: 300;
  font-size: 14px;
  gap: 10px;
  margin-top: 20px;
  padding: 15px;
  border-top: 1px solid #CDBEB4;
  border-bottom: 1px solid #CDBEB4
}

.month {
  cursor: pointer;
  padding: 8px 15px;
  border-radius: 20px;
}


.active {
  background-color: #DC874B;
  color: #fff;
}

.map-container {
  position: relative;
}

.zoom-icons {
  position: absolute;
  bottom: 20px;
  right: 20px;
  display: flex;
  flex-direction: column;
  gap: 7px;
}


.zoom-icon {
  width: 40px;
  height: 40px;
  cursor: pointer;
  background-color: #fff;
  border-color: transparent;
  padding: 8px;
  border-radius: 10px;
}

/* Table container styling */
#table-container {
  margin: 20px auto;
  max-width: 100%;
  border-radius: 10px;
  border-collapse: collapse;
  background-color: #f5eae0;
  height: 600px;
  overflow-y: auto;
  position: relative;
}


/* Make table header sticky */
.data-table thead th {
  top: 0;
  z-index: 10;
}

/* Table header styling */
.data-table thead th {
  position: sticky;
  top: 0;
  z-index: 20;

  text-align: left;
  padding: 10px;
  font-size: 15px;
  font-family: 'Roboto';
  background-color: #f0d6c1;
  font-weight: 300;

  /* your shadow stays */
  /* text-shadow:
    0 10px 4px rgba(0, 0, 0, 0.15),
    0 12px 20px rgba(0, 0, 0, 0.12),
    0 12px 24px rgba(0, 0, 0, 0.10); */
}




/* Table row styling */
.data-table tbody tr {
  border-bottom: 1px solid #e0d6d1;
  font-size: 18px;
  text-align: center;
}

/* Table cell styling */
.data-table td {
  padding: 10px;
  font-family: 'Roboto';
  font-size: 14px;
}

.rank-and-destination {
  display: flex;
  gap: 10px;
  font-family: "Cormorant", serif !important;
  font-size: 18px !important;
  align-items: center;
  cursor: pointer
}

.rank {
  font-weight: bold;
  color: #fff;
  border-radius: 50%;
  width: 30px;
  height: 30px;
  text-align: center;
  font-size: 14px !important;
  font-family: 'Roboto' !important;
  display: flex;
  align-items: center;
  justify-content: center;
}


.data-table td.rainy-days,
.data-table td.rainfall,
.data-table td[style*="background-color"] {
  /* background-color: #d4f0f0; */
  border-radius: 5px;
  color: #333;
}

.data-table td.hours-of-sunshine {
  background-color: #d4f0d4;
  border-radius: 5px;
  color: #333;
}

.data-table td.hours-of-daylight {
  background-color: #f7e4d9;
  border-radius: 5px;
  color: #333;
}

.data-table td.avg-uv {
  background-color: #f7d9d9;
  border-radius: 5px;
  color: #333;
}

.data-table td.highest-avg-temp {
  background-color: #f7c6c6;
  border-radius: 5px;
  color: #333;
}

/* Adjust column widths for better alignment */


.data-table th:nth-child(2),
.data-table td:nth-child(2) .data-table th:nth-child(3),
.data-table td:nth-child(3),
.data-table th:nth-child(4),
.data-table td:nth-child(4),
.data-table th:nth-child(5),
.data-table td:nth-child(5),
.data-table th:nth-child(6),
.data-table td:nth-child(6),
.data-table th:nth-child(7),
.data-table td:nth-child(7) {
  width: 10%;
}

/* Tooltip */

.tooltip {
  font-family: "Cormorant", serif !important;
  font-size: 18px;
  font-weight: 500;
  display: flex;
  align-items: center;
  gap: 5px;
}

*:focus {
  outline: none;
}


@media (max-width: 600px) {
  .rank-and-destination {
    width: 290px;
  }
}

